Package com.independentsoft.office.odf.styles

# Class NumberLevelStyle

java.lang.Object
com.independentsoft.office.odf.styles.NumberLevelStyle

All Implemented Interfaces:
  `IListStyleContent`

public class NumberLevelStyle extends Object implements IListStyleContent
Represents a list style where list items are preceded by numbers.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NumberLevelStyle()`
  Initializes a new instance of the NumberLevelStyle class.
  `NumberLevelStyle​(String name)`
  Initializes a new instance of the NumberLevelStyle class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `NumberLevelStyle`
  `clone()`
  Creates a new object that is a deep copy of the current instance.
  `int`
  `getDisplayLevels()`
  Gets the number of levels whose numbers are displayed at the current level.
  `int`
  `getLevel()`
  Gets the level of an outline or number list style.
  `ListLevelProperties`
  `getListLevelProperties()`
  Specifies formatting properties for list level.
  `String`
  `getName()`
  Gets the style name.
  `String`
  `getNumberFormat()`
  Gets the numbering sequence.
  `String`
  `getPrefixCharacter()`
  Specifies what to display before a number.
  `int`
  `getStartValue()`
  Gets the value that restarts numbering at the current list level.
  `String`
  `getSuffixCharacter()`
  Specifies what to display before and after the number.
  `TextProperties`
  `getTextProperties()`
  Specifies formatting properties for text.
  `void`
  `setDisplayLevels​(int displayLevels)`
  Sets the number of levels whose numbers are displayed at the current level.
  `void`
  `setLevel​(int level)`
  Sets the level of an outline or number list style.
  `void`
  `setName​(String name)`
  Sets the style name.
  `void`
  `setNumberFormat​(String numberFormat)`
  Sets the numbering sequence.
  `void`
  `setPrefixCharacter​(String prefixCharacter)`
  Specifies what to display before a number.
  `void`
  `setStartValue​(int startValue)`
  Sets the value that restarts numbering at the current list level.
  `void`
  `setSuffixCharacter​(String suffixCharacter)`
  Specifies what to display before and after the number.
  `String`
  `toString()`
  Converts the value of the current NumberLevelStyle object to its equivalent string representation.

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### NumberLevelStyle

    public NumberLevelStyle()
    Initializes a new instance of the NumberLevelStyle class.

  - ### NumberLevelStyle

    public NumberLevelStyle​(String name)
    Initializes a new instance of the NumberLevelStyle class.
    Parameters:
      `name` - the name

- ## Method Details

  - ### clone

    public NumberLevelStyle clone()
    Creates a new object that is a deep copy of the current instance.
    Specified by:
      `clone` in interface `IListStyleContent`
    Overrides:
      `clone` in class `Object`
    Returns:
      A new object that is a copy of this instance.

  - ### toString

    public String toString()
    Converts the value of the current NumberLevelStyle object to its equivalent string representation.
    Overrides:
      `toString` in class `Object`
    Returns:
      the string

  - ### getTextProperties

    public TextProperties getTextProperties()
    Specifies formatting properties for text.
    Returns:
      the text properties

  - ### getListLevelProperties

    public ListLevelProperties getListLevelProperties()
    Specifies formatting properties for list level.
    Returns:
      the list level properties

  - ### getName

    public String getName()
    Gets the style name.
    Returns:
      the name

  - ### setName

    public void setName​(String name)
    Sets the style name.
    Parameters:
      `name` - the new name

  - ### getPrefixCharacter

    public String getPrefixCharacter()
    Specifies what to display before a number.
    Returns:
      the prefix character

  - ### setPrefixCharacter

    public void setPrefixCharacter​(String prefixCharacter)
    Specifies what to display before a number.
    Parameters:
      `prefixCharacter` - the new prefix character

  - ### getSuffixCharacter

    public String getSuffixCharacter()
    Specifies what to display before and after the number.
    Returns:
      the suffix character

  - ### setSuffixCharacter

    public void setSuffixCharacter​(String suffixCharacter)
    Specifies what to display before and after the number.
    Parameters:
      `suffixCharacter` - the new suffix character

  - ### getNumberFormat

    public String getNumberFormat()
    Gets the numbering sequence.
    Returns:
      the number format

  - ### setNumberFormat

    public void setNumberFormat​(String numberFormat)
    Sets the numbering sequence.
    Parameters:
      `numberFormat` - the new number format

  - ### getLevel

    public int getLevel()
    Gets the level of an outline or number list style.
    Returns:
      the level

  - ### setLevel

    public void setLevel​(int level)
    Sets the level of an outline or number list style.
    Parameters:
      `level` - the new level

  - ### getDisplayLevels

    public int getDisplayLevels()
    Gets the number of levels whose numbers are displayed at the current level.
    Returns:
      the display levels

  - ### setDisplayLevels

    public void setDisplayLevels​(int displayLevels)
    Sets the number of levels whose numbers are displayed at the current level.
    Parameters:
      `displayLevels` - the new display levels

  - ### getStartValue

    public int getStartValue()
    Gets the value that restarts numbering at the current list level.
    Returns:
      the start value

  - ### setStartValue

    public void setStartValue​(int startValue)
    Sets the value that restarts numbering at the current list level.
    Parameters:
      `startValue` - the new start value